package top.baogutang.common.constants;

/**
 * @description:
 * @author: nikooh
 * @date: 2023/10/12 : 10:03
 */
public enum NoticeTypeEnum {

    /**
     * edge
     */
    EDGE(1, "edge", "https://art-api.heishiapp.com/api/v1/art/announcements?pageNum=1&pageSize=1", "https://activities-h5.heishiapp.com/#/noticeDetail?noticeId=", "# EDGE-"),

    /**
     * edgeX
     */
    EDGE_X(2, "edgeX", "https://art-api.edge-x.cn/api/v1/art/announcements?pageNum=1&pageSize=1", "https://app.edge-x.cn/#/noticeDetail?noticeId=", "# EDGE-X-"),
    ;

    private final Integer code;

    private final String desc;

    private final String listUrl;

    private final String detailUrl;

    private final String title;

    NoticeTypeEnum(Integer code, String desc, String listUrl, String detailUrl, String title) {
        this.code = code;
        this.desc = desc;
        this.listUrl = listUrl;
        this.detailUrl = detailUrl;
        this.title = title;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getListUrl() {
        return listUrl;
    }

    public String getTitle() {
        return title;
    }

    public String getDetailUrl() {
        return detailUrl;
    }
}
